View Issue Details

IDProjectCategoryView StatusLast Update
04587User patchesOtherpublic2010-12-14 13:02
Reporteruser9586Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.90 
Target VersionFixed in Version1.91 
Summary04587: Allow to restrict numbers to specific boundaries.
Description

This patch adds two new options to "Number" question types named "Maximum value of the numeric input" and "Minimum value of the numeric input" respectively.

This allows the surveyor to restrict the range (or a single boundary) of the answer without resorting to a regex.

Additional Information

As for report 04586, I used checkpregs() to validate the answer server-side. See the discussion in that report.

TagsNo tags attached.
Complete LimeSurvey version number (& build)9114

Activities

user9586

2010-09-10 16:19

  ~12826

Updated patch to fix some undefined warnings.

c_schmitz

c_schmitz

2010-10-11 23:55

administrator   ~13096

Can you please provide the patch as a subversion patch (svn diff) against our 1.91 development version at the subversion branch at :
https://limesurvey.svn.sourceforge.net/svnroot/limesurvey/source/limesurvey_dev

Thank you!

user9586

2010-10-21 11:49

 

2-int-bounds.php (2,615 bytes)

user9586

2010-10-21 11:49

  ~13298

Patch updated against limesurvey_dev

c_schmitz

c_schmitz

2010-11-01 17:23

administrator   ~13385

Hello wavexx,

I am sorry but that is again not a subversion patch but one created with a standard diff tool.
The problem with this standard diff patch file is that I don't know what subversion revision this is based on, so I cannot apply it.
Can you maybe tell me the revision number so I can try to apply it?

As said: The patch is best created with the "svn diff" command.

c_schmitz

c_schmitz

2010-11-01 17:25

administrator   ~13386

The other patches have the same problem :-/

user9586

2010-11-02 11:13

  ~13392

Bug 04586 (which is the first one) is a straight SVN diff patch. I probably used "interdiff" here to remove the changes contained in that report.

I cannot diff beyond one patch with SVN. The only way I could think of doing it is by performing a checkout of a whole repository for each patch, but it's too much work.

I could diff all the patches together, but that would include all the submitted patches in a single diff.

If the SVN build number is all you need, I can attach a comment.

That being said, the later patches are interdependent, so I'll wait until the first ones go through.

user9586

2010-11-02 11:14

  ~13393

This patch was generated against build 9285

user9586

2010-11-04 13:33

  ~13418

This is the next patch.

c_schmitz

c_schmitz

2010-11-04 13:53

administrator   ~13419

Last edited: 2010-11-04 13:53

View 2 revisions

Ok done, whats next? :-)

Issue History

Date Modified Username Field Change
2010-09-09 11:33 user9586 New Issue
2010-09-09 11:33 user9586 File Added: patch.diff
2010-09-10 16:19 user9586 File Added: patch2.diff
2010-09-10 16:19 user9586 Note Added: 12826
2010-10-11 23:55 c_schmitz Status new => feedback
2010-10-11 23:55 c_schmitz Note Added: 13096
2010-10-21 11:49 user9586 File Added: 2-int-bounds.php
2010-10-21 11:49 user9586 Note Added: 13298
2010-10-21 11:49 user9586 Status feedback => new
2010-10-26 16:46 c_schmitz Assigned To => c_schmitz
2010-10-26 16:46 c_schmitz Status new => assigned
2010-11-01 17:19 c_schmitz File Deleted: patch2.diff
2010-11-01 17:19 c_schmitz File Deleted: patch.diff
2010-11-01 17:23 c_schmitz Note Added: 13385
2010-11-01 17:23 c_schmitz Status assigned => feedback
2010-11-01 17:25 c_schmitz Note Added: 13386
2010-11-02 11:13 user9586 Note Added: 13392
2010-11-02 11:13 user9586 Status feedback => assigned
2010-11-02 11:14 user9586 Note Added: 13393
2010-11-04 13:33 user9586 Note Added: 13418
2010-11-04 13:53 c_schmitz Note Added: 13419
2010-11-04 13:53 c_schmitz Status assigned => resolved
2010-11-04 13:53 c_schmitz Fixed in Version => 1.91
2010-11-04 13:53 c_schmitz Resolution open => fixed
2010-11-04 13:53 c_schmitz Note Edited: 13419 View Revisions
2010-12-14 13:02 c_schmitz Status resolved => closed